List Captains
GET
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
limit?stringCaptains per page, from 1 to 100. Absent, 100.
Match
^[+-]?\d*\.?\d+(?:[Ee][+-]?\d+)?$cursor?stringMatch
^\d{1,15}:.+CaptainList
application/json- response
items*array<>cursor*|Pass as cursor to read the next page. Null on the last page.
curl -X GET 'https://api.capy.ai/api/v1/captains'{ "items": [ { "id": "string", "projectId": "string", "authorId": "string", "previousAuthorId": "string", "title": "string", "titleCustom": true, "status": "working", "archived": true, "lastModelId": "string", "modelDefault": { "modelId": "string", "source": "personal", "skipped": [ { "modelId": "string", "source": "personal", "reason": "string" } ] }, "queuedAt": "string", "linearIssue": { "key": "string", "url": "string" }, "pullRequestAuthor": "user", "usage": { "llmCredits": 0, "imageCredits": 0, "vmCredits": 0, "totalCredits": 0 }, "createdAt": "string", "updatedAt": "string", "lastActivityAt": "string", "hasUnreads": true, "mentionCount": 0, "owed": true, "needsYou": true, "ask": { "key": "string", "kind": "conversation", "text": "string", "causeKey": "string" }, "crewNeedsYou": 0, "participated": true, "crewMentionCount": 0, "captain": { "jamId": "string", "name": "string", "avatar": { "kind": "preset", "value": "string", "background": "string", "image": "string", "library": "string" } }, "crewCount": 0, "member": true, "subscribed": true, "personal": true, "visibility": "org", "name": "string", "avatar": { "kind": "preset", "value": "string", "background": "string", "image": "string", "library": "string" }, "description": "string" } ], "cursor": "string"}